    <div class="pal_new">
		<h2>Edit Brand</h2>
		<div class="pal_br_add">
		<a href="/users/brand" class="btn btn-success btn-lg ">Back</a>
		</div>
		<form method="post" action="/users/brand_edit" onsubmit="return validation();" enctype="multipart/form-data">
			{{#each items as |item|}}
			<div class="col-md-12">

				<div class="col-md-6 form-group">
				<label>Service Name<span class="required">*</span></label>
					<select class="form-control" name="service_id" id="service_id" onchange="display_service(this.value);">
						<option value="">--Select Service--</option>
						{{#each ../btyp as |bty|}}
							{{#if (ifCond bty.id item.service_id) }}
								<option value="{{bty.id}}" selected>{{bty.name}}</option>
							{{else}}
								<option value="{{bty.id}}">{{bty.name}}</option>
							{{/if}}
						{{/each}}
					</select>
				</div>

				<div class="col-md-6 form-group">
					<label>Service Category Name<span class="required">*</span></label>
						<select class="form-control" name="service_name" id="service_name">
							<option value="">--Select Service Category--</option>
							{{#each ../selcs as |sel|}}
								{{#if (ifCond sel.id item.subcategory_id) }}
								<option value="{{sel.id}}" selected>{{sel.subcategory}}</option>
								{{else}}
								<option value="{{sel.id}}">{{sel.subcategory}}</option>
								{{/if}}
							{{/each}}
						</select>
				</div>

			<div class="col-md-6 form-group">
				<label>Brand Name</label>
					<input type="text" class="form-control" name ="brand_name" id="brand_name" placeholder = "Brand Name" value="{{item.brand_name}}" />
					<input type="hidden" value="{{item.id}}" name="bid" />
			</div>
					
			<div class="col-md-6 form-group imageupload">
					<input type="hidden" value="{{item.brand_img}}" name="bimg" />
					
				<label>Brand Image</label>
				
					<div class="file-tab panel-body" style="padding: 0px;">
						<label class="btn btn-default btn-file form-control">
							<input type="file" name="brand_image" id="brand_image">
						</label>
						<button type="button" class="btn btn-default">Remove</button>
					</div>
					<img class="pal_edit_img" src="/uploads/brand/{{item.brand_img}}" width="100" height="100">
			</div>
			
			{{/each}}
			<div class="col-lg-12">
			<button type="submit" class="btn btn-primary">Update</button>
			</div>
			</div>
		</form>
	</div>
	 
	 <script>
            var $imageupload = $('.imageupload');
            $imageupload.imageupload();

            $('#imageupload-disable').on('click', function() {
                $imageupload.imageupload('disable');
                $(this).blur();
            })

            $('#imageupload-enable').on('click', function() {
                $imageupload.imageupload('enable');
                $(this).blur();
            })

            $('#imageupload-reset').on('click', function() {
                $imageupload.imageupload('reset');
                $(this).blur();
            });
			
			
			function validation(){
				var brand_name = $('#brand_name').val();
				var service_name = $('#service_name').val();
				var service_id = $('#service_id').val();
				if(service_id == ""){
					swal('Select Service Name');
					return false;
				}else if(service_name == ""){
					swal('Select Service Category');
					return false;
				}else if(brand_name == ""){
					swal('Enter Brand Name');
					return false;
				}
			}

			function display_service(str){
				   $.ajax({
                    type: 'POST',
                    data: {str: str},

                      url: '/users/getjson',
                      success: function(data) {
						if(data == 1){
							swal("Service Category Not Available");
							$('#service_name').html('');
							//$('#service_name').html('');
						}else{
							$('#service_name').html(data);
						}
                      }
                  });
			}

        </script>
